<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:15 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>SourceSetOutput (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="SourceSetOutput (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/tasks/SourceSetContainer.html" title="interface in org.gradle.api.tasks"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/tasks/SourceTask.html" title="class in org.gradle.api.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/tasks/SourceSetOutput.html" target="_top">Frames</a></li>
<li><a href="SourceSetOutput.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.tasks</div>
<h2 title="Interface SourceSetOutput" class="title">Interface SourceSetOutput</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/tasks/AntBuilderAware.html" title="interface in org.gradle.api.tasks">AntBuilderAware</a>, <a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a>, <a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">SourceSetOutput</span>
extends <a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></pre>
<div class="block">A collection of all output directories (compiled classes, processed resources, etc.) - notice that <a href="../../../../org/gradle/api/tasks/SourceSetOutput.html" title="interface in org.gradle.api.tasks"><code>SourceSetOutput</code></a> extends <a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file"><code>FileCollection</code></a>.
 <p>
 Provides output information of the source set. Allows configuring the default output dirs and specify additional output dirs.

 <pre class='autoTested'>
 apply plugin: 'java'

 sourceSets {
   main {
     //if you truly want to override the defaults:
     output.resourcesDir = file('out/bin')
     // Compiled Java classes should use this directory
     java.outputDir = file('out/bin')
   }
 }
 </pre>

 Working with generated resources.
 <p>
 In general, we recommend generating resources into folders different than the regular resourcesDir and classesDir.
 Usually, it makes the build easier to understand and maintain. Also it gives some additional benefits
 because other Gradle plugins can take advantage of the output dirs 'registered' in the SourceSet.output.
 For example: Java plugin will use those dirs in calculating class paths and for jarring the content;
 IDEA and Eclipse plugins will put those folders on relevant classpath.
 <p>
 An example how to work with generated resources:

 <pre class='autoTested'>
 apply plugin: 'java'

 def generatedResources = "$buildDir/generated-resources/main"

 sourceSets {
   main {
     //let's register an output folder on the main SourceSet:
     output.dir(generatedResources, builtBy: 'generateMyResources')
     //it is now a part of the 'main' classpath and will be a part of the jar
   }
 }

 //a task that generates the resources:
 task generateMyResources {
   doLast {
     def generated = new File(generatedResources, "myGeneratedResource.properties")
     generated.text = "message=Stay happy!"
   }
 }

 //Java plugin task 'classes' and 'testClasses' will automatically depend on relevant tasks registered with 'builtBy'

 //Eclipse/IDEA plugins will automatically depend on 'generateMyResources'
 //because the output dir was registered with 'builtBy' information
 apply plugin: 'idea'; apply plugin: 'eclipse'
 </pre>

 Find more information in <a href="../../../../org/gradle/api/tasks/SourceSetOutput.html#dir(java.util.Map,%20java.lang.Object)"><code>dir(java.util.Map, Object)</code></a> and <a href="../../../../org/gradle/api/tasks/SourceSetOutput.html#getDirs()"><code>getDirs()</code></a></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.file.FileCollection">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.file.<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></h3>
<code><a href="../../../../org/gradle/api/file/FileCollection.AntType.html" title="enum in org.gradle.api.file">FileCollection.AntType</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSetOutput.html#dir(java.util.Map,%20java.lang.Object)">dir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;options,
   <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;dir)</code>
<div class="block">Registers an extra output dir and the builtBy information.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSetOutput.html#dir(java.lang.Object)">dir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;dir)</code>
<div class="block">Registers an extra output dir.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSetOutput.html#getClassesDir()">getClassesDir</a></strong>()</code>
<div class="block"><strong>Deprecated.</strong>&nbsp;
<div class="block"><i>Use <a href="../../../../org/gradle/api/tasks/SourceSetOutput.html#getClassesDirs()"><code>getClassesDirs()</code></a> or <a href="../../../../org/gradle/api/file/SourceDirectorySet.html#getOutputDir()"><code>SourceDirectorySet.getOutputDir()</code></a></i></div>
</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSetOutput.html#getClassesDirs()">getClassesDirs</a></strong>()</code>
<div class="block">Returns the directories containing compiled classes.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSetOutput.html#getDirs()">getDirs</a></strong>()</code>
<div class="block">Returns all dirs registered with #dir method.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSetOutput.html#getResourcesDir()">getResourcesDir</a></strong>()</code>
<div class="block">Returns the output directory for resources</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSetOutput.html#isLegacyLayout()">isLegacyLayout</a></strong>()</code>
<div class="block">Source set uses the legacy layout (single classes directory for the entire source set).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSetOutput.html#setClassesDir(java.io.File)">setClassesDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;classesDir)</code>
<div class="block"><strong>Deprecated.</strong>&nbsp;
<div class="block"><i>Set the output directory for the particular <a href="../../../../org/gradle/api/tasks/compile/AbstractCompile.html" title="class in org.gradle.api.tasks.compile"><code>AbstractCompile</code></a> task</i></div>
</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSetOutput.html#setClassesDir(java.lang.Object)">setClassesDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;classesDir)</code>
<div class="block"><strong>Deprecated.</strong>&nbsp;
<div class="block"><i>Set the output directory for the particular <a href="../../../../org/gradle/api/tasks/compile/AbstractCompile.html" title="class in org.gradle.api.tasks.compile"><code>AbstractCompile</code></a> task</i></div>
</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSetOutput.html#setResourcesDir(java.io.File)">setResourcesDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;resourcesDir)</code>
<div class="block">Sets the output directory for resources</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/SourceSetOutput.html#setResourcesDir(java.lang.Object)">setResourcesDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;resourcesDir)</code>
<div class="block">Sets the output directory for resources</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.file.FileCollection">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.file.<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></h3>
<code><a href="../../../../org/gradle/api/file/FileCollection.html#add(org.gradle.api.file.FileCollection)">add</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#addToAntBuilder(java.lang.Object,%20java.lang.String)">addToAntBuilder</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#addToAntBuilder(java.lang.Object,%20java.lang.String,%20org.gradle.api.file.FileCollection.AntType)">addToAntBuilder</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#asType(java.lang.Class)">asType</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#contains(java.io.File)">contains</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#filter(groovy.lang.Closure)">filter</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#filter(org.gradle.api.specs.Spec)">filter</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#getAsFileTree()">getAsFileTree</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#getAsPath()">getAsPath</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#getFiles()">getFiles</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#getSingleFile()">getSingleFile</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#isEmpty()">isEmpty</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#minus(org.gradle.api.file.FileCollection)">minus</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#plus(org.gradle.api.file.FileCollection)">plus</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#stopExecutionIfEmpty()">stopExecutionIfEmpty</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true#iterator()" title="class or interface in java.lang">iterator</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.Buildable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a></h3>
<code><a href="../../../../org/gradle/api/Buildable.html#getBuildDependencies()">getBuildDependencies</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getClassesDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClassesDir</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getClassesDir()</pre>
<div class="block"><span class="strong">Deprecated.</span>&nbsp;<i>Use <a href="../../../../org/gradle/api/tasks/SourceSetOutput.html#getClassesDirs()"><code>getClassesDirs()</code></a> or <a href="../../../../org/gradle/api/file/SourceDirectorySet.html#getOutputDir()"><code>SourceDirectorySet.getOutputDir()</code></a></i></div>
<div class="block">Returns the directory to assemble the compiled classes into.
 <p>
 See example at <a href="../../../../org/gradle/api/tasks/SourceSetOutput.html" title="interface in org.gradle.api.tasks"><code>SourceSetOutput</code></a></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The classes dir.</dd></dl>
</li>
</ul>
<a name="setClassesDir(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setClassesDir</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
void&nbsp;setClassesDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;classesDir)</pre>
<div class="block"><span class="strong">Deprecated.</span>&nbsp;<i>Set the output directory for the particular <a href="../../../../org/gradle/api/tasks/compile/AbstractCompile.html" title="class in org.gradle.api.tasks.compile"><code>AbstractCompile</code></a> task</i></div>
<div class="block">Sets the directory to assemble the compiled classes into.
 <p>
 See example at <a href="../../../../org/gradle/api/tasks/SourceSetOutput.html" title="interface in org.gradle.api.tasks"><code>SourceSetOutput</code></a></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>classesDir</code> - the classes dir. Should not be null.</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="setClassesDir(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setClassesDir</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
void&nbsp;setClassesDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;classesDir)</pre>
<div class="block"><span class="strong">Deprecated.</span>&nbsp;<i>Set the output directory for the particular <a href="../../../../org/gradle/api/tasks/compile/AbstractCompile.html" title="class in org.gradle.api.tasks.compile"><code>AbstractCompile</code></a> task</i></div>
<div class="block">Sets the directory to assemble the compiled classes into.
 <p>
 See example at <a href="../../../../org/gradle/api/tasks/SourceSetOutput.html" title="interface in org.gradle.api.tasks"><code>SourceSetOutput</code></a></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>classesDir</code> - the classes dir. Should not be null.</dd></dl>
</li>
</ul>
<a name="getClassesDirs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClassesDirs</h4>
<pre><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getClassesDirs()</pre>
<div class="block">Returns the directories containing compiled classes.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The classes directories. Never returns null.</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="isLegacyLayout()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isLegacyLayout</h4>
<pre>boolean&nbsp;isLegacyLayout()</pre>
<div class="block">Source set uses the legacy layout (single classes directory for the entire source set).</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>true if the source set has a single classes directory</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="getResourcesDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getResourcesDir</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getResourcesDir()</pre>
<div class="block">Returns the output directory for resources
 <p>
 See example at <a href="../../../../org/gradle/api/tasks/SourceSetOutput.html" title="interface in org.gradle.api.tasks"><code>SourceSetOutput</code></a></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The dir resources are copied to.</dd></dl>
</li>
</ul>
<a name="setResourcesDir(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setResourcesDir</h4>
<pre>void&nbsp;setResourcesDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;resourcesDir)</pre>
<div class="block">Sets the output directory for resources
 <p>
 See example at <a href="../../../../org/gradle/api/tasks/SourceSetOutput.html" title="interface in org.gradle.api.tasks"><code>SourceSetOutput</code></a></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>resourcesDir</code> - the classes dir. Should not be null.</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="setResourcesDir(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setResourcesDir</h4>
<pre>void&nbsp;setResourcesDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;resourcesDir)</pre>
<div class="block">Sets the output directory for resources
 <p>
 See example at <a href="../../../../org/gradle/api/tasks/SourceSetOutput.html" title="interface in org.gradle.api.tasks"><code>SourceSetOutput</code></a></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>resourcesDir</code> - the classes dir. Should not be null.</dd></dl>
</li>
</ul>
<a name="dir(java.util.Map, java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dir</h4>
<pre>void&nbsp;dir(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;options,
       <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;dir)</pre>
<div class="block">Registers an extra output dir and the builtBy information. Useful for generated resources.
 <p>
 See example at <a href="../../../../org/gradle/api/tasks/SourceSetOutput.html" title="interface in org.gradle.api.tasks"><code>SourceSetOutput</code></a></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>options</code> - - use 'builtBy' key to configure the 'builtBy' task of the dir</dd><dd><code>dir</code> - - will be resolved as <a href="../../../../org/gradle/api/Project.html#file(java.lang.Object)"><code>Project.file(Object)</code></a></dd></dl>
</li>
</ul>
<a name="dir(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dir</h4>
<pre>void&nbsp;dir(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;dir)</pre>
<div class="block">Registers an extra output dir. Useful for generated resources.
 <p>
 See example at <a href="../../../../org/gradle/api/tasks/SourceSetOutput.html" title="interface in org.gradle.api.tasks"><code>SourceSetOutput</code></a></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>dir</code> - - will be resolved as <a href="../../../../org/gradle/api/Project.html#file(java.lang.Object)"><code>Project.file(Object)</code></a></dd></dl>
</li>
</ul>
<a name="getDirs()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getDirs</h4>
<pre><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getDirs()</pre>
<div class="block">Returns all dirs registered with #dir method.
 Each file is resolved as <a href="../../../../org/gradle/api/Project.html#file(java.lang.Object)"><code>Project.file(Object)</code></a>
 <p>
 See example at <a href="../../../../org/gradle/api/tasks/SourceSetOutput.html" title="interface in org.gradle.api.tasks"><code>SourceSetOutput</code></a></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>a new instance of registered dirs with resolved files</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/tasks/SourceSetContainer.html" title="interface in org.gradle.api.tasks"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/tasks/SourceTask.html" title="class in org.gradle.api.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/tasks/SourceSetOutput.html" target="_top">Frames</a></li>
<li><a href="SourceSetOutput.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
